Summary:	PKCS#11 implementation of GnuPG Agent using the GnuPG Smart Card Daemon
Summary(pl.UTF-8):	Implementacja PKCS#11 Agenta GnuPG przy użyciu GnuPG Smart Card Daemona
Name:		scute
Version:	1.6.0
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/scute/%{name}-%{version}.tar.bz2
# Source0-md5:	e7142c94c0bbb12fbd9c04b35c09f52f
Patch0:		%{name}-info.patch
URL:		http://www.gnupg.org/
BuildRequires:	ImageMagick
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.14
BuildRequires:	libassuan-devel >= 1:2.5.0
BuildRequires:	libgpg-error-devel >= 1.24
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
# epstopdf
BuildRequires:	texlive-pdftex
Requires(post,postun):	/sbin/ldconfig
Requires:	gnupg-smime >= 1.9.6
Requires:	libassuan >= 1:2.5.0
Requires:	libgpg-error >= 1.24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a PKCS#11 implementation for the GnuPG Agent using the GnuPG
Smart Card Daemon. Currently, only the OpenPGP card is supported.

Scute enables you to use your OpenPGP smart card for client
authentication with SSL in Mozilla.

%description -l pl.UTF-8
To jest implementacja PKCS#11 Agenta GnuPG przy użyciu GnuPG Smart
Card Daemona. Aktualnie obsługiwane są tylko karty OpenPGP.

Scute pozwala używać kart procesorowych OpenPGP do uwierzytelniania
klientów przy użyciu SSL w Mozilli.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gpg-agent=/usr/bin/gpg-agent \
	--with-gpg-connect-agent=/usr/bin/gpg-connect-agent \
	--with-gpgsm=/usr/bin/gpgsm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/scute.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/website
%attr(755,root,root) %{_libdir}/scute.so
%{_infodir}/scute.info*
%changelog
* Thu Sep 19 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/scute.git;a=log;h=master

* Thu Sep 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 0722406
- updated to 1.6.0

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 30636bc
- updated to 1.5.0

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 1c91085
- updated to 1.4.0

* Thu Sep 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 47b09c3
- updated to 1.2.0

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 1b25a40
- updated to 1.1.0
- removed obsolete opt patch, added info patch

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 7ab3fd6
- unify direntry

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 4f4cb0e
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c13b9b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e7cc832
- converted to UTF-8

* Mon Nov 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 83e6513
- package xhtml docs
- versioned runtime deps

* Mon Nov 13 2006 Jakub Bogusz <qboosh@pld-linux.org> ccd3b20
- new

* Mon Nov 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 17da790
- don't override our optflags

